# Class OpResult.ErrorResult

java.lang.Object
org.apache.zookeeper.OpResult
org.apache.zookeeper.OpResult.ErrorResult

Enclosing class:
  `OpResult`

public static class OpResult.ErrorResult extends OpResult
An error result from any kind of operation. The point of error results is that they contain an error code which helps understand what happened.

See Also:
  - `KeeperException.Code`

## Nested Class Summary

### Nested classes/interfaces inherited from class OpResult

`OpResult.CheckResult, OpResult.CreateResult, OpResult.DeleteResult, OpResult.ErrorResult, OpResult.GetChildrenResult, OpResult.GetDataResult, OpResult.SetDataResult`

## Constructor Summary

Constructors
Constructor
Description
`ErrorResult(int err)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getErr()`
`int`
`hashCode()`

### Methods inherited from class OpResult

`getType`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ErrorResult

public ErrorResult(int err)

## Method Details

### getErr

public int getErr()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`